# class Prime::EratosthenesGenerator

An implementation of `PseudoPrimeGenerator`.

Uses `EratosthenesSieve`.

### Public Class Methods

new() click to toggle source
Calls superclass method `Prime::PseudoPrimeGenerator::new`

    # File lib/prime.rb, line 313
    def initialize
      @last_prime_index = -1
      super
    end

### Public Instance Methods

next()
Alias for: succ
rewind() click to toggle source

    # File lib/prime.rb, line 322
    def rewind
      initialize
    end

succ() click to toggle source

    # File lib/prime.rb, line 318
    def succ
      @last_prime_index += 1
      EratosthenesSieve.instance.get_nth_prime(@last_prime_index)
    end

Also aliased as: next